Foxit PDF SDK

Public Types | Public Member Functions | List of all members
foxit.addon.compliance.PDFXCompliance Class Reference
Inheritance diagram for foxit.addon.compliance.PDFXCompliance:

## Public Types
enum | Version { Version.e_VersionPDFX1a = 0, Version.e_VersionPDFX3 = 1, Version.e_VersionPDFX4 = 2, Version.e_VersionPDFX4p = 3, Version.e_VersionPDFX1aCoatedGRACoL2006 = 4, Version.e_VersionPDFX1aISOCoatedv2ECI = 5, Version.e_VersionPDFX1aJapanColor2001Coated = 6, Version.e_VersionPDFX1aPSOCoatedv3ECI = 7, Version.e_VersionPDFX3CoatedGRACoL2006 = 8, Version.e_VersionPDFX3ISOCoatedv2ECI = 9, Version.e_VersionPDFX3JapanColor2001Coated = 10, Version.e_VersionPDFX3PSOCoatedv3ECI = 11, Version.e_VersionPDFX4CoatedGRACoL2006 = 12, Version.e_VersionPDFX4ISOCoatedv2ECI = 13, Version.e_VersionPDFX4JapanColor2001Coated = 14, Version.e_VersionPDFX4PSOCoatedv3ECI = 15, Version.e_VersionPDFX4AndCLLVISOCoatedv2ECI = 16 }
| Enumeration for PDF/X version. More...

## Public Member Functions
| PDFXCompliance ()
| Constructor.
| PDFXCompliance (PDFXCompliance other)
| Constructor, with another PDF/X compliance object. More...
ResultInformation | ConvertPDFFile (string src_pdf_path, string saved_pdf_path, PDFXCompliance.Version convert_to_version, ComplianceEngine.ViewOrPrintCondition view_or_print_condition, bool to_convert_rgb_or_lab, bool to_decalibrate_gray_or_cmyk, ProgressCallback progress_callback)
| Convert a PDF file with specified PDF/X version. More...
bool | IsEmpty ()
| Check whether current object is empty or not. More...
ResultInformation | Verify (PDFXCompliance.Version verify_version, string src_pdf_path, int first_page_index, int last_page_index, ProgressCallback progress_callback)
| Verify a PDF file with specified PDF/X version. More...

## Detailed Description

This class can be used for PDF/X compliance verification or converting a PDF file to a PDF/X format. Please ensure ComplianceEngine has been initialized successfully.

See also
  ComplianceEngine

## Member Enumeration Documentation

## ◆ Version

enum foxit.addon.compliance.PDFXCompliance.Version
| strong

Enumeration for PDF/X version.

Values of this enumeration should be used alone.

Enumerator
e_VersionPDFX1a | PDF/X-1a.
e_VersionPDFX3 | PDF/X-3.
e_VersionPDFX4 | PDF/X-4.
e_VersionPDFX4p | PDF/X-4p.
e_VersionPDFX1aCoatedGRACoL2006 | PDF/X-1a (Coated GRACoL 2006).
e_VersionPDFX1aISOCoatedv2ECI | PDF/X-1a (ISO Coated v2 (ECI)).
e_VersionPDFX1aJapanColor2001Coated | PDF/X-1a (Japan Color 2001 Coated).
e_VersionPDFX1aPSOCoatedv3ECI | PDF/X-1a (PSO Coated v3 (ECI)).
e_VersionPDFX3CoatedGRACoL2006 | PDF/X-3 (Coated GRACoL 2006).
e_VersionPDFX3ISOCoatedv2ECI | PDF/X-3 (ISO Coated v2 (ECI)).
e_VersionPDFX3JapanColor2001Coated | PDF/X-3 (Japan Color 2001 Coated).
e_VersionPDFX3PSOCoatedv3ECI | PDF/X-3 (PSO Coated v3 (ECI)).
e_VersionPDFX4CoatedGRACoL2006 | PDF/X-4 (Coated GRACoL 2006).
e_VersionPDFX4ISOCoatedv2ECI | PDF/X-4 (ISO Coated v2 (ECI)).
e_VersionPDFX4JapanColor2001Coated | PDF/X-4 (Japan Color 2001 Coated).
e_VersionPDFX4PSOCoatedv3ECI | PDF/X-4 (PSO Coated v3 (ECI)).
e_VersionPDFX4AndCLLVISOCoatedv2ECI | PDF/X-4 and create language layer views (ISO Coated v2 (ECI))).

## Constructor & Destructor Documentation

## ◆ PDFXCompliance()

foxit.addon.compliance.PDFXCompliance.PDFXCompliance | ( | PDFXCompliance | other | ) |
| inline

Constructor, with another PDF/X compliance object.

Parameters

  [in] | other | Another PDF/X compliance object.

## Member Function Documentation

## ◆ ConvertPDFFile()

ResultInformation foxit.addon.compliance.PDFXCompliance.ConvertPDFFile | ( | string | src_pdf_path,
|  | string | saved_pdf_path,
|  | PDFXCompliance.Version | convert_to_version,
|  | ComplianceEngine.ViewOrPrintCondition | view_or_print_condition,
|  | bool | to_convert_rgb_or_lab,
|  | bool | to_decalibrate_gray_or_cmyk,
|  | ProgressCallback | progress_callback
| ) |  |
| inline

Convert a PDF file with specified PDF/X version.

Parameters

  [in] | src_pdf_path | A complete path of source PDF file to be converted. This should not be an empty string.
  [in] | saved_pdf_path | A complete path for saving the converted PDF file. This should not be an empty string.
  [in] | convert_to_version | PDF/X version to convert. Please refer to values starting from foxit.addon.compliance.PDFXCompliance.Version.e_VersionPDFX1a and this should be one of these values.
  [in] | view_or_print_condition | Viewing or printing condition. Please refer to values starting from foxit.addon.compliance.ComplianceEngine.ViewOrPrintCondition.e_ViewOrPrintConditionAuto and this should be one of these values.
  [in] | to_convert_rgb_or_lab | Whether to convert device independ RGB or Lab color into destination color space. true means to convert, false means not to convert. It only works if convert_to_version is not foxit.addon.compliance.PDFXCompliance.Version.e_VersionPDFX1a , foxit.addon.compliance.PDFXCompliance.Version.e_VersionPDFX1aCoatedGRACoL2006 , foxit.addon.compliance.PDFXCompliance.Version.e_VersionPDFX1aISOCoatedv2ECI , foxit.addon.compliance.PDFXCompliance.Version.e_VersionPDFX1aJapanColor2001Coated and foxit.addon.compliance.PDFXCompliance.Version.e_VersionPDFX1aPSOCoatedv3ECI .
  [in] | to_decalibrate_gray_or_cmyk | Whether to decalibrate device independent Gray or CMYK. true means to decalibrate, false means not to decalibrate.
  [in] | progress_callback | Progress callback which is implemented by user and can be used to get progress data. This can be null. Default value: null.

Returns
  A ResultInformation object.

## ◆ IsEmpty()

bool foxit.addon.compliance.PDFXCompliance.IsEmpty | ( |  | ) |
| inline

Check whether current object is empty or not.

When the current object is empty, that means current object is useless.

Returns
  true means current object is empty, while false means not.

## ◆ Verify()

ResultInformation foxit.addon.compliance.PDFXCompliance.Verify | ( | PDFXCompliance.Version | verify_version,
|  | string | src_pdf_path,
|  | int | first_page_index,
|  | int | last_page_index,
|  | ProgressCallback | progress_callback
| ) |  |
| inline

Verify a PDF file with specified PDF/X version.

Parameters

  [in] | verify_version | PDF/X version to verify. Please refer to values starting from foxit.addon.compliance.PDFXCompliance.Version.e_VersionPDFX1a to object.